Loading...
Searching...
No Matches
ON_3dmSettings Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmSettings ()
| ~ON_3dmSettings ()
void | Default ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const

## Public Attributes

ON_wString | m_model_URL
ON_3dPoint | m_model_basepoint
ON_EarthAnchorPoint | m_earth_anchor_point
ON_3dmUnitsAndTolerances | m_ModelUnitsAndTolerances
ON_3dmUnitsAndTolerances | m_PageUnitsAndTolerances
ON_MeshParameters | m_RenderMeshSettings
ON_MeshParameters | m_CustomRenderMeshSettings
ON_MeshParameters | m_AnalysisMeshSettings
ON_3dmAnnotationSettings | m_AnnotationSettings
ON_ClassArray< ON_3dmConstructionPlane > | m_named_cplanes
ON_ClassArray< ON_3dmView > | m_named_views
ON_ClassArray< ON_3dmView > | m_views
ON_UUID | m_active_view_id
int | m_current_layer_index
int | m_current_material_index
ON::object_material_source | m_current_material_source
ON_Color | m_current_color
ON::object_color_source | m_current_color_source
ON_Color | m_current_plot_color
ON::plot_color_source | m_current_plot_color_source
int | m_current_linetype_index
ON::object_linetype_source | m_current_linetype_source
int | m_current_font_index
int | m_current_dimstyle_index
int | m_current_wire_density
ON_3dmRenderSettings | m_RenderSettings
ON_3dmConstructionPlaneGridDefaults | m_GridDefaults
double | m_linetype_display_scale
ON_ClassArray< ON_PlugInRef > | m_plugin_list
ON_3dmIOSettings | m_IO_settings

## Detailed Description

Definition at line 787 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmSettings()

ON_3dmSettings::ON_3dmSettings | ( |  | ) |

## ~ON_3dmSettings()

ON_3dmSettings::~ON_3dmSettings | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmSettings::Default | ( |  | ) |

## Dump()

void ON_3dmSettings::Dump | ( | ON_TextLog & |  | ) | const

## Read()

bool ON_3dmSettings::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmSettings::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_active_view_id

ON_UUID ON_3dmSettings::m_active_view_id

Definition at line 840 of file opennurbs_3dm_settings.h.

## m_AnalysisMeshSettings

ON_MeshParameters ON_3dmSettings::m_AnalysisMeshSettings

Definition at line 832 of file opennurbs_3dm_settings.h.

## m_AnnotationSettings

ON_3dmAnnotationSettings ON_3dmSettings::m_AnnotationSettings

Definition at line 835 of file opennurbs_3dm_settings.h.

## m_current_color

ON_Color ON_3dmSettings::m_current_color

Definition at line 849 of file opennurbs_3dm_settings.h.

## m_current_color_source

ON::object_color_source ON_3dmSettings::m_current_color_source

Definition at line 850 of file opennurbs_3dm_settings.h.

## m_current_dimstyle_index

int ON_3dmSettings::m_current_dimstyle_index

Definition at line 860 of file opennurbs_3dm_settings.h.

## m_current_font_index

int ON_3dmSettings::m_current_font_index

Definition at line 858 of file opennurbs_3dm_settings.h.

## m_current_layer_index

int ON_3dmSettings::m_current_layer_index

Definition at line 844 of file opennurbs_3dm_settings.h.

## m_current_linetype_index

int ON_3dmSettings::m_current_linetype_index

Definition at line 855 of file opennurbs_3dm_settings.h.

## m_current_linetype_source

ON::object_linetype_source ON_3dmSettings::m_current_linetype_source

Definition at line 856 of file opennurbs_3dm_settings.h.

## m_current_material_index

int ON_3dmSettings::m_current_material_index

Definition at line 846 of file opennurbs_3dm_settings.h.

## m_current_material_source

ON::object_material_source ON_3dmSettings::m_current_material_source

Definition at line 847 of file opennurbs_3dm_settings.h.

## m_current_plot_color

ON_Color ON_3dmSettings::m_current_plot_color

Definition at line 852 of file opennurbs_3dm_settings.h.

## m_current_plot_color_source

ON::plot_color_source ON_3dmSettings::m_current_plot_color_source

Definition at line 853 of file opennurbs_3dm_settings.h.

## m_current_wire_density

int ON_3dmSettings::m_current_wire_density

Definition at line 868 of file opennurbs_3dm_settings.h.

## m_CustomRenderMeshSettings

ON_MeshParameters ON_3dmSettings::m_CustomRenderMeshSettings

Definition at line 829 of file opennurbs_3dm_settings.h.

## m_earth_anchor_point

ON_EarthAnchorPoint ON_3dmSettings::m_earth_anchor_point

Definition at line 817 of file opennurbs_3dm_settings.h.

## m_GridDefaults

ON_3dmConstructionPlaneGridDefaults ON_3dmSettings::m_GridDefaults

Definition at line 873 of file opennurbs_3dm_settings.h.

## m_IO_settings

ON_3dmIOSettings ON_3dmSettings::m_IO_settings

Definition at line 883 of file opennurbs_3dm_settings.h.

## m_linetype_display_scale

double ON_3dmSettings::m_linetype_display_scale

Definition at line 878 of file opennurbs_3dm_settings.h.

## m_model_basepoint

ON_3dPoint ON_3dmSettings::m_model_basepoint

Definition at line 811 of file opennurbs_3dm_settings.h.

## m_model_URL

ON_wString ON_3dmSettings::m_model_URL

Definition at line 806 of file opennurbs_3dm_settings.h.

## m_ModelUnitsAndTolerances

ON_3dmUnitsAndTolerances ON_3dmSettings::m_ModelUnitsAndTolerances

Definition at line 820 of file opennurbs_3dm_settings.h.

## m_named_cplanes

ON_ClassArray<ON_3dmConstructionPlane> ON_3dmSettings::m_named_cplanes

Definition at line 837 of file opennurbs_3dm_settings.h.

## m_named_views

ON_ClassArray<ON_3dmView> ON_3dmSettings::m_named_views

Definition at line 838 of file opennurbs_3dm_settings.h.

## m_PageUnitsAndTolerances

ON_3dmUnitsAndTolerances ON_3dmSettings::m_PageUnitsAndTolerances

Definition at line 823 of file opennurbs_3dm_settings.h.

## m_plugin_list

ON_ClassArray<ON_PlugInRef> ON_3dmSettings::m_plugin_list

Definition at line 881 of file opennurbs_3dm_settings.h.

## m_RenderMeshSettings

ON_MeshParameters ON_3dmSettings::m_RenderMeshSettings

Definition at line 826 of file opennurbs_3dm_settings.h.

## m_RenderSettings

ON_3dmRenderSettings ON_3dmSettings::m_RenderSettings

Definition at line 870 of file opennurbs_3dm_settings.h.

## m_views

ON_ClassArray<ON_3dmView> ON_3dmSettings::m_views

Definition at line 839 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h